{*****************************************************************************
 *
 *  PanelEx.pas - TPanelEx Component
 *
 *  Copyright (c) 1998-99 Michael Haller
 *
 *  Author:     Michael Haller
 *  E-mail:     michael@discountdrive.com
 *  Homepage:   http://www.discountdrive.com/sunrise/
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation;
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *----------------------------------------------------------------------------
 *
 *  Revision history:
 *
 *     DATE     REV                 DESCRIPTION
 *  ----------- --- ----------------------------------------------------------
 *
 *****************************************************************************}

unit PanelEx;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TPanelEx = class(TPanel)
  private
    { Private declarations }
    FOnPaint: TNotifyEvent;
    FComments: TStringList;
    procedure SetComments(Value: TStringList);
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure Paint; override;
    property Canvas;
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  published
    { Published declarations }
    property OnPaint: TNotifyEvent read FOnPaint write FOnPaint;
    property Comments: TStringList read FComments write SetComments;
  end;

procedure Register;

implementation

constructor TPanelEx.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FComments := TStringList.Create;
end;

destructor TPanelEx.Destroy;
begin
  try FComments.Free; except end;
  inherited Destroy;
end;

procedure TPanelEx.SetComments(Value: TStringList);
begin
  FComments.Assign(Value);
end;

procedure TPanelEx.Paint;
begin
  inherited Paint;
  if Assigned(FOnPaint) then FOnPaint(Self);
end;

procedure Register;
begin
  RegisterComponents('Michael Haller', [TPanelEx]);
end;

end.
