{*****************************************************************************
 *
 *  StatusBarEx.pas - TStatusBarEx and TSpeedButtonEx Component
 *
 *  Copyright (c) 1999 Michael Haller
 *
 *  Author:     Michael Haller
 *  E-mail:     michael@discountdrive.com
 *  Homepage:   http://www.discountdrive.com/sunrise/
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation;
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *----------------------------------------------------------------------------
 *
 *  Revision history:
 *
 *     DATE     REV                 DESCRIPTION
 *  ----------- --- ----------------------------------------------------------
 *
 *****************************************************************************}

unit StatusBarEx;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, DsgnIntf, Buttons;

type
  TStatusBarEx = class(TStatusBar)
  private
  public
    constructor Create(AOwner: TComponent); override;
  published
  end;

  TSpeedButtonEx = class(TSpeedButton)
  private
    FComment: String;
  public
  published
    property Comment: String read FComment write FComment;
  end;

procedure Register;

implementation

constructor TStatusBarEx.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle:= ControlStyle + [csAcceptsControls];
end;

procedure Register;
begin
  RegisterComponents('Michael Haller', [TStatusBarEx, TSpeedButtonEx]);
end;

end.
